// pages/apply/apply.js
const app = getApp()
const host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '',
    })
    this.setData({
      openid: app.globalData.openid
    })
    this.getData();
  },
  getData:function(){
    wx.request({
      url: host+'/api/wx/signup/list',
      header:{
        openid:this.data.openid
      },
      method:'GET',
      success:res=>{
          wx.hideLoading()
          let data=res.data.data
          for(let i=0;i<data.length;i++){
            data[i].subject_item_1 = data[i].subject_item.split('|')
          }
          this.setData({
            list: data
          })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.getData();
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})