// pages/online/online.js
const app = getApp()
const host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tab:0,
    array1: ['特种作业'],
    index1: 0,
    papers:[],
    videos:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
    this.setData({
      openid: app.globalData.openid
    })
    if(options.tab){
      this.setData({
        tab: options.tab
      })
    }
    this.getData();
  },
  tabChange:function(e){
    this.setData({
      tab:e.target.dataset.id
    })
  },
  getData:function(){
    wx.request({
      url: host+'/api/wx/training/list',
      method:'GET',
      header: {
        openid: this.data.openid
      },
      data:{},
      success:res=>{
        this.setData({
          papers:res.data.data.papers,
          videos: res.data.data.videos,
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})